be.fgov.ehealth.dics.protocol.v5

## Class ConsultVirtualIngredientType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultVirtualIngredientType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-09-22T05:38:44+02:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultVirtualIngredientType
      extends Object
      implements Serializable

  Java class for ConsultVirtualIngredientType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultVirtualIngredientType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}StrengthRangeType" minOccurs="0"/>
               <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v5}SubstanceWithStandardsType"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="RealVirtualIngredient" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultRealVirtualIngredientType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="Rank" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultVirtualIngredientType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `int` | `getRank()` Gets the value of the rank property.
    `List<ConsultRealVirtualIngredientType>` | `getRealVirtualIngredients()` Gets the value of the realVirtualIngredients property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `StrengthRangeType` | `getStrength()` Gets the value of the strength property.
    `SubstanceWithStandardsType` | `getSubstance()` Gets the value of the substance property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setRank(int value)` Sets the value of the rank property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setStrength(StrengthRangeType value)` Sets the value of the strength property.
    `void` | `setSubstance(SubstanceWithStandardsType value)` Sets the value of the substance property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultVirtualIngredientType

          public ConsultVirtualIngredientType()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrength

          public StrengthRangeType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `StrengthRangeType`

    - #### setStrength

          public void setStrength(StrengthRangeType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `StrengthRangeType`

    - #### getSubstance

          public SubstanceWithStandardsType getSubstance()

      Gets the value of the substance property.
      Returns:
        possible object is `SubstanceWithStandardsType`

    - #### setSubstance

          public void setSubstance(SubstanceWithStandardsType value)

      Sets the value of the substance property.
      Parameters:
        `value` - allowed object is `SubstanceWithStandardsType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getRealVirtualIngredients

          public List<ConsultRealVirtualIngredientType> getRealVirtualIngredients()

      Gets the value of the realVirtualIngredients property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realVirtualIngredients property.

      For example, to add a new item, do as follows:

              getRealVirtualIngredients().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultRealVirtualIngredientType`

    - #### getRank

          public int getRank()

      Gets the value of the rank property.

    - #### setRank

          public void setRank(int value)

      Sets the value of the rank property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.